#DataBrowser
UserControl
C
:Data
:

(Row)i(Column)i(Value)v
Columns
p
String[]

Labels
p
String[]

Control
p
b

View
r
TableView

Header
p
b

Orientation
p
i

Editable
p
b

Border
p
b

Grid
p
b

Data
r
_GridView_Data

CanCreate
p
b

CanDelete
p
b

_Properties
C
s
"*,Control=True,CanCreate=True,CanDelete=True,Columns{Field[]},Labels,Editable,Header=True,Grid,Orientation{Align.Bottom;Left;Right;Top}=Bottom,Border=True"
_Group
C
s
"Data"
_new
m


Update
m


_OnDatabaseChange
m


DataView_Data
m

(Row)i(Column)i(Value)v
Find
m

(Where)s.
#DataCheckBox
UserControl
C
:Click
:


Field
p
s

Value
p
v

Valid
r
b

Modified
r
b

Text
p
s

_Properties
C
s
"*,Text,Field{Field}"
_Group
C
s
"Data"
_DrawWith
C
s
"CheckBox"
_DefaultSize
C
s
"24,4"
_new
m


Update
m


CheckBox_Click
m


#DataCombo
UserControl
C
:Validate
:

(Value)v
Value
p
v

:Click
:


Field
p
s

Table
p
s

Filter
p
s

Display
p
s

Valid
r
b

Modified
r
b

ReadOnly
p
b

All
p
s

_Properties
C
s
"*,ReadOnly,Field{Field},Table{Table},Filter,Display{Field:Table},All"
_Group
C
s
"Data"
_DrawWith
C
s
"ComboBox"
_Event
C
s
"Click"
_DefaultSize
C
s
"24,4"
_new
m


Update
m


SetFocus
m


ComboBox_GotFocus
m


ComboBox_Click
m


GetFilter
m
s

_OnDatabaseChange
m


#DataComboView
UserControl
C
_Properties
C
s
"*,Table{Table},Field{Field},Filter,Header,Grid,Highlight=True,Columns{Field[]:Table}"
_DefaultSize
C
s
"24,4"
_DrawWith
C
s
"MenuButton"
_Group
C
s
"Data"
Table
p
s

Field
p
s

Filter
p
s

Columns
p
String[]

Value
p
v

Modified
r
b

Valid
r
b

Header
p
b

Grid
p
b

Highlight
p
b

:Validate
:

(Value)v
_new
m


Update
m


TableView_MouseMove
m


TableView_MouseUp
m


TableView_KeyPress
m


DrawingArea_GotFocus
m


DrawingArea_LostFocus
m


DrawingArea_Enter
m


DrawingArea_Leave
m


DrawingArea_MouseDown
m


DrawingArea_Draw
m


DrawingArea_KeyPress
m


DrawingArea_KeyRelease
m


Popup_Open
m


#DataControl
UserControl
C
:Validate
:

(Value)v
Value
p
v

Field
p
s

Valid
r
b

Modified
r
b

Control
r
Control

_Properties
C
s
"*,Field{Field}"
_Group
C
s
"Data"
_DrawWith
C
s
"TextBox"
_DefaultSize
C
s
"24,4"
_new
m


SetFocus
m


Update
m


ButtonBox_Click
m


ButtonBox_DblClick
m


#DataSource
Panel
C
:Change
:


:BeforeSave
:

(Data)Result;
:BeforeDelete
:

(Keys)Variant[];
Connection
p
Connection

Table
p
s

Filter
p
s

Modified
r
b

Current
r
Variant[]

Index
r
i

Count
r
i

ReadOnly
p
b

Sort
p
s

Ascending
p
b

IgnoreParent
p
b

_Properties
C
s
"*,Connection{Connection},Table{Table},Filter,ReadOnly,IgnoreParent"
_Group
C
s
"Data"
_new
m


GetKeys
m
String[]

_GetDB
m
Connection

Save
m
b
[(bMessage)b]
MoveFirst
m
b

MovePrevious
m
b

MoveNext
m
b

MoveLast
m
b

MoveTo
m
b
(Index)i
Update
m


_OnDatabaseChange
m


Cancel
m


_Check
m
b

Create
m

[(bUpdate)b]
_EditCurrent
m
Result

Find
m
i
(Where)s.
_UpdateCurrent
m
b
(rData)Result;
_CreateCurrent
m
Result

_GetInfo
m
DataField
(Key)s
_DeleteCurrent
m
b

Remove
m
b

_get
m
v
(Key)s
FindNext
m
i
(Index)i(Where)s.
_GetDataConnection
m
DataConnection

_GetTable
m
DataTable

Reset
m


ResetAll
m


#DataView
UserControl
C
_Properties
C
s
"*,Mode{Select.None;Single;Multiple}=None,Editable,Header{TableView.None;Horizontal;Vertical;Both}=Both,Grid,Highlight=True,Columns{Field[]},Labels,Border=True,Sorted=True"
_DrawWith
C
s
"GridView"
_Group
C
s
"Data"
:Activate
:


:Data
:

(Row)i(Column)i(Value)v
Mode
p
i

Header
p
i

Grid
p
b

Highlight
p
b

Border
p
b

Editable
p
b

Sorted
p
b

Columns
p
String[]

Labels
p
String[]

Current
p
Variant[]

Count
r
i

Index
r
i

View
r
TableView

Font
p
Font

Background
p
i

Data
r
_GridView_Data

_new
m


Update
m


Create
m


Find
m

(Where)s.
Cancel
m


MoveTo
m

(Index)i
TableView_Scroll
m


TableView_Data
m

(Row)i(Column)i
TableView_Click
m


TableView_Change
m


TableView_Save
m

(Row)i(Column)i(Value)s
MoveFirst
m


MoveLast
m


MoveNext
m


MovePrevious
m


Save
m
b

CreateTimer_Timer
m


TableView_Insert
m


Remove
m
b

TableView_ColumnClick
m

(Column)i
_OnDatabaseChange
m


ButtonBox_Click
m


ButtonBox_DblClick
m


SelectAll
m


UnselectAll
m


